package com.cooleshow.teacher.ui.course;

import android.view.View;

import com.alibaba.android.arouter.facade.annotation.Route;
import com.alibaba.android.arouter.launcher.ARouter;
import com.cooleshow.base.router.RouterPath;
import com.cooleshow.base.ui.activity.BaseMVPActivity;
import com.cooleshow.teacher.R;
import com.cooleshow.teacher.contract.CreateLiveCourseInfoContract;
import com.cooleshow.teacher.databinding.ActivityCreateLiveCourseInfoBinding;
import com.cooleshow.teacher.presenter.course.CreateLiveCourseInfoPresenter;

/**
 * 创建日期：2022/5/19 17:53
 *
 * @author Ryan
 * 类说明：
 */
@Route(path = RouterPath.CourseCenter.TEACHER_MINE_CREATE_LIVE_COURSE_INFO)
public class CreateLiveCourseInfoActivity extends BaseMVPActivity<ActivityCreateLiveCourseInfoBinding, CreateLiveCourseInfoPresenter> implements CreateLiveCourseInfoContract.CreateLiveCourseInfoView, View.OnClickListener {
    @Override
    public void onClick(View view) {
        switch (view.getId()) {
            case R.id.tv_next:
                ARouter.getInstance().build(RouterPath.CourseCenter.TEACHER_MINE_CREATE_LIVE_COURSE_ARRANGEMENT)
                        .navigation();
                break;
        }
    }

    @Override
    protected void initView() {
        initMidTitleToolBar(viewBinding.toolbarInclude.toolbar, "创建直播课");
        viewBinding.tvNext.setOnClickListener(this);
    }

    @Override
    protected ActivityCreateLiveCourseInfoBinding getLayoutView() {
        return ActivityCreateLiveCourseInfoBinding.inflate(getLayoutInflater());
    }

    @Override
    protected CreateLiveCourseInfoPresenter createPresenter() {
        return new CreateLiveCourseInfoPresenter();
    }
}
